Drupal Search API Sorts模块跨站脚本漏洞 | ZeroBox Vulnerability Database

Drupal Search API Sorts模块跨站脚本漏洞

漏洞起因
跨站脚本错误
危险等级

影响系统
Drupal Search API Sorts module 7.x-1.x

不受影响系统

危害
远程攻击者利用漏洞可获得敏感信息或劫持用户会话。

攻击所需条件
攻击者必须访问Drupal Search API Sorts模块。

漏洞信息
Drupal是一款流行的内容管理系统。
Drupal Search API Sorts模块不正确过滤field标签中的用户输入文本,允许攻击者利用漏洞进行跨站脚本攻击,可获得敏感信息或劫持用户会话。

测试方法

厂商解决方案
Drupal Search API Sorts module 7.x-1.4已经修复此漏洞,建议用户下载使用:
http://drupal.org/project/

漏洞提供者
Francisco José Cruz Romanos